#include <stdio.h>
#include <stdlib.h>
int vbp(int v){
	int i=0,z;
	z=v/50;
	while(i<z){
		v=v-50;
		i++;
	}
		return i;
}
int vbdd(int v){
	int i=0,z;
	z=v/20;
	while(i<z){
		v=v-20;
		i++;
	}
		return i;
}
int vbj(int v){
	int i=0,z;
	z=v/10;
	while(i<z){
		v=v-10;
		i++;
	}
		return i;
}
int vb(int v){
	int i=0,z;
	z=v/5;
	while(i<z){
		v=v-5;
		i++;
	}
		return i;
}
int vbd(int v){
	int i=0,z;
	z=v/2;
	while(i<z){
		v=v-2;
		i++;
	}
		return i;
}
int main()
{
    int v,r,r1,r2,p,r3,r4,r5;
    scanf("%d",&v);
    if(v<10){
	
		r=v-5*vb(v);
		r1=r-2*vbd(r);
		r2=vb(v)+vbd(r)+r1;
		printf("%d\n",r2);
	}
    	
	
	else if(v<100){
		r=v-50*vbp(v);
		r1=r-20*vbdd(r);
		r2=r1-10*vbj(r1);
		r3=r2-5*vb(r2);
		r4=r3-2*vbd(r3);
		r5=vbp(v)+vbdd(r)+vbj(r1)+vb(r2)+vbd(r3)+r4;
		printf("%d",r5);
	}
   
    return 0;
}